Safari < 6.1.4 / 7.0.4 Multiple Vulnerabilities

medium Nessus Network Monitor Plugin ID 8264

Synopsis

The remote host contains a web browser that is affected by multiple security vulnerabilities.

Description

The remote host has Safari installed that is older than 6.1.4 or 7.0.4, and is thus unpatched for the following WebKit vulnerabilities :

- Multiple memory corruption issues within WebKit, which were addressed through improved memory handling (CVE-2013-2875, CVE-2013-2927, CVE-2014-1323, CVE-2014-1324, CVE-2014-1326, CVE-2014-1327, CVE-2014-1329, CVE-2014-1330, CVE-2014-1331, CVE-2014-1333, CVE-2014-1334, CVE-2014-1335, CVE-2014-1336, CVE-2014-1337, CVE-2014-1338, CVE-2014-1339, CVE-2014-1341, CVE-2014-1342, CVE-2014-1343, CVE-2014-1344, CVE-2014-1731)
- An issue with the way unicode characters in the URL are handled could result in bypassing the browser's origin check (CVE-2014-1346)

Solution

Upgrade to Safari 7.0.4 or later. If version 7.0.x is not available, version 6.1.4 is also patched for these issues.

See Also

http://packetstormsecurity.com/files/126780/Apple-Security-Advisory-2014-05-12-1.html

http://support.apple.com/kb/HT6254

Plugin Details

Severity: Medium

ID: 8264

Family: Web Clients

Published: 5/23/2014

Updated: 3/6/2019

Dependencies: 3705

Nessus ID: 74139

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5

Temporal Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:ND/RL:U/RC:ND

CVSS v3.0

Base Score: 5.3

Temporal Score: 5.3

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

Temporal Vector: CVSS:3.0/E:X/RL:U/RC:X

Vulnerability Information

CPE: cpe:2.3:a:apple:safari:*:*:*:*:*:*:*:*

Patch Publication Date: 5/21/2014

Vulnerability Publication Date: 5/21/2014

Reference Information

CVE: CVE-2014-1344, CVE-2014-1731, CVE-2013-2875, CVE-2013-2927, CVE-2014-1346, CVE-2014-1323, CVE-2014-1324, CVE-2014-1326, CVE-2014-1327, CVE-2014-1329, CVE-2014-1330, CVE-2014-1331, CVE-2014-1333, CVE-2014-1334, CVE-2014-1335, CVE-2014-1336, CVE-2014-1337, CVE-2014-1338, CVE-2014-1339, CVE-2014-1341, CVE-2014-1342, CVE-2014-1343

BID: 67553, 67554, 67552